assign.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

FloatAssign | Gecode::FLOAT_ASSIGN_MIN (void)
| Select median value of the lower part.
FloatAssign | Gecode::FLOAT_ASSIGN_MAX (void)
| Select median value of the upper part.
FloatAssign | Gecode::FLOAT_ASSIGN_RND (Rnd r)
| Select median value of a randomly chosen part.
FloatAssign | Gecode::FLOAT_ASSIGN (FloatBranchVal v, FloatBranchCommit c=nullptr)